com.aliyun.svideosdk.recorder

## Interface AliyunIClipManager

-     public interface AliyunIClipManager

  视频录制片段管理接口

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteAllPart()` 删除所有片段
    `void` | `deleteLastPart()` 删除最后一段片段
    `void` | `deletePart()` Deprecated.
    `void` | `deletePart(int index)` 删除指定片段
    `int` | `getDuration()` Deprecated. 使用 `getDuration(TimeUnit)`替代
    `long` | `getDuration(java.util.concurrent.TimeUnit timeUnit)` 获取所有片段的总时长
    `int` | `getMaxDuration()` 获取最大录制时长， 单位： 毫秒
    `int` | `getMinDuration()` 获取最小录制时长，单位： 毫秒
    `int` | `getPartCount()` 获取片段数
    `java.util.List<java.lang.String>` | `getVideoPathList()` 获取片段路径列表
    `void` | `setMaxDuration(int maxDurationMs)` 设置最大录制时长
    `void` | `setMinDuration(int minDurationMs)` 设置最小录制时长

- - ### Method Detail

    - #### setMaxDuration

          void setMaxDuration(int maxDurationMs)

      设置最大录制时长
      Parameters:
        `maxDurationMs` - 单位：毫秒

    - #### setMinDuration

          void setMinDuration(int minDurationMs)

      设置最小录制时长
      Parameters:
        `minDurationMs` - 单位：毫秒

    - #### getDuration

          int getDuration()

      Deprecated. 使用 `getDuration(TimeUnit)`替代
      获取所有片段的总时长， 单位：毫秒
      Returns:
        视频片段的总时长

    - #### getDuration

          long getDuration(java.util.concurrent.TimeUnit timeUnit)

      获取所有片段的总时长
      Parameters:
        `timeUnit` - 返回的时间单位
      Returns:
        视频片段的总时长

    - #### getPartCount

          int getPartCount()

      获取片段数
      Returns:
        视频片段的数量

    - #### deletePart

          @Deprecated
          void deletePart()

      Deprecated.
      删除最后一段片段 v3.27.0已废弃，请使用`deleteLastPart()` 代替

    - #### deleteLastPart

          void deleteLastPart()

      删除最后一段片段

    - #### deletePart

          void deletePart(int index)

      删除指定片段
      Parameters:
        `index` - 要删除片段的索引值

    - #### deleteAllPart

          void deleteAllPart()

      删除所有片段

    - #### getMaxDuration

          int getMaxDuration()

      获取最大录制时长， 单位： 毫秒
      Returns:
        最大录制时长

    - #### getMinDuration

          int getMinDuration()

      获取最小录制时长，单位： 毫秒
      Returns:
        最小录制时长

    - #### getVideoPathList

          java.util.List<java.lang.String> getVideoPathList()

      获取片段路径列表
      Returns:
        视频片段路径列表